For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Storefront
      • Management
        • Overview
          • Addresses
          • Authentication
          • Channels
          • Company
          • Invoice Management
          • Orders
          • Payment
          • Quotes
            • GETList Quotes
            • POSTCreate Quote
            • GETList B2B Quote Custom Shipping Methods
            • POSTSend Quote Email
            • GETList Quote Extra Fields Configs
            • GETGet Quote Details
            • PUTUpdate Quote
            • DELDelete Quote
            • POSTGenerate Cart and Checkout URL for Quote
            • POSTAssign Quote to BigCommerce Order
            • POSTExport Quote PDF
            • PUTSelect Shipping Rate for Quote
            • DELRemove Selected Shipping Rate from Quote
            • GETGet Available Shipping Rates for Quote
          • Sales Staff
          • Shopping List
          • Super Admin
          • Users
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTB2BManagementQuotes

Send Quote Email

POST
https://api-b2b.bigcommerce.com/api/v3/io/rfq/emails
POST
/api/v3/io/rfq/emails
$curl -X POST https://api-b2b.bigcommerce.com/api/v3/io/rfq/emails \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "quoteId": "98765",
> "email": "buyer.john@example.com",
> "withAttach": true,
> "emailTemplate": "Simple"
>}'
1{
2 "code": 200,
3 "data": {},
4 "message": "SUCCESS"
5}
Sends an email to the buyer with information on a specific quote based on the provided `quoteId`. The email address in the `email` field must correspond with the buyer’s email address on the quote. However, you can use the `ccTo` field to include additional recipients. ### Quote Email Templates The request uses the `emailTemplate` field to format the quote contents with one of the pre-built quote email templates. You must enter the exact name of the template in the field. The following email templates can be used: * `Simple` * `Simple with Pictures` * `Waves with Pictures` * `Database with checkout button` * `Modern with checkout link` * `Modern without checkout link` The selected template applies to the quote PDF if `withAttach` is specified as `true`.
Was this page helpful?
Previous

List B2B Quote Custom Shipping Methods

Next

List Quote Extra Fields Configs

Built with

Sends an email to the buyer with information on a specific quote based on the provided quoteId.

The email address in the email field must correspond with the buyer’s email address on the quote. However, you can use the ccTo field to include additional recipients.

Quote Email Templates

The request uses the emailTemplate field to format the quote contents with one of the pre-built quote email templates. You must enter the exact name of the template in the field.

The following email templates can be used:

  • Simple
  • Simple with Pictures
  • Waves with Pictures
  • Database with checkout button
  • Modern with checkout link
  • Modern without checkout link

The selected template applies to the quote PDF if withAttach is specified as true.

Authentication

X-Auth-Tokenstring
| Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts). | For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).
X-Store-Hashstring
| Header | Argument | Description | |:-------|:---------|:------------| | `X-Store-Hash` | `store_hash` | The unique store hash associated with a BigCommerce store that has B2B Edition enabled. |

Request

quoteIdstringRequired
The internal numeric ID of the sales quote.
emailstringRequiredformat: "email"
The recipient's email. This should match the buyer's email on the quote.
withAttachbooleanRequiredDefaults to true
Indicates whether or not a quote PDF will be included with the email.
emailTemplateenumRequired
The template used to format the quote email.
ccTolist of stringsOptional
The list of emails to CC.
emailLangenumOptional

The two-letter code for the language of the quote email and PDF, if included.

Response

OK
codedoubleDefaults to 200
HTTP Response Code
dataobject
messagestringDefaults to SUCCESS

Errors

422
Unprocessable Entity Error
HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

HeaderArgumentDescription
X-Store-Hashstore_hashThe unique store hash associated with a BigCommerce store that has B2B Edition enabled.